com.smartgwt.client.widgets.form.fields

## Class CheckboxItem

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.data.Field
        - - com.smartgwt.client.widgets.form.fields.FormItem
          - - com.smartgwt.client.widgets.form.fields.CheckboxItem

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasBlurHandlers, HasChangedHandlers, HasChangeHandlers, HasClickHandlers, HasDoubleClickHandlers, HasEditorEnterHandlers, HasEditorExitHandlers, HasFocusHandlers, HasIconClickHandlers, HasIconKeyPressHandlers, HasItemHoverHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers, HasPendingStatusChangedHandlers, HasPickerIconClickHandlers, HasShowContextMenuHandlers, HasTitleClickHandlers, HasTitleDoubleClickHandlers, HasTitleHoverHandlers, HasValueHoverHandlers, HasValueIconClickHandlers
  Direct Known Subclasses:
    BooleanItem

      public class CheckboxItem
      extends FormItem

  Checkbox form item, implemented with customizable checkbox images.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `FormItem.CustomStateGetter, FormItem.StateCustomizer`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `configOnly, scClassName, warnOnEditorTypeConversion, warnOnEditorTypeConversionDefault`

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckboxItem()`
    `CheckboxItem(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `CheckboxItem(java.lang.String name)`
    `CheckboxItem(java.lang.String name, java.lang.String title)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `static void` | `changePickerIconDefaults(FormItemIcon defaults)`
    `java.lang.Boolean` | `getAllowEmptyValue()` By default checkboxes allow the user to toggle between true and false values only.
    `java.lang.String` | `getBooleanBaseStyle()` An optional base CSS style to apply to the checkbox image.
    `java.lang.String` | `getCheckedDescription()` The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the checked state.
    `java.lang.String` | `getCheckedImage()` URL for the image to display when this checkbox is selected, or checked.
    `java.lang.Boolean` | `getDefaultValue()` Overridden to assign class-appropriate type.
    `java.lang.String` | `getEditProxyConstructor()` Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    `java.lang.Boolean` | `getLabelAsTitle()` By default a checkboxItem sets `showTitle`:true, and so takes up two cells with the default `TitleOrientation` of "left" (see `form layout\n overview`).
    `static CheckboxItem` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getPartialSelectedDescription()` The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the partial selected state.
    `java.lang.String` | `getPartialSelectedImage()` URL for the image to display when this checkbox is partially selected.
    `java.lang.String` | `getPrintBooleanBaseStyle()` If set, the `booleanBaseStyle` to use when `printing`.
    `java.lang.String` | `getPrintCheckedImage()` If set, the `checkedImage` to use when `printing`.
    `java.lang.String` | `getPrintPartialSelectedImage()` If set, the `partialSelectedImage` to use when `printing`.
    `java.lang.String` | `getPrintUncheckedImage()` If set, the `uncheckedImage` to use when `printing`.
    `java.lang.String` | `getPrintUnsetImage()` If set, the `unsetImage` to use when `printing`.
    `java.lang.Boolean` | `getShowLabel()` Should we show the label text next to the checkbox item.
    `java.lang.Boolean` | `getShowNullAsTrue()` Should a null value be shown as checked (i.e.
    `java.lang.String` | `getShowNullAsTrueIf()` Set this property to the name of another field in the same record, to have this field be shown as checked (i.e.
    `java.lang.Boolean` | `getShowTitle()` CheckboxItem has special behavior for titles, see `labelAsTitle`.
    `java.lang.Boolean` | `getShowValueIconDisabled()` Should a "Disabled" state icon be shown when the item is disabled
    `java.lang.Boolean` | `getShowValueIconDown()` Should a "Down" state icon be shown when the mouse goes down over this checkbox
    `java.lang.Boolean` | `getShowValueIconError()` Whether a separate "Error" state should be applied to icons when the item fails validation.
    `boolean` | `getShowValueIconFocused()` When true, the icon is modified to reflect 'Focused' state.
    `boolean` | `getShowValueIconFocusedAsOver()` When `showValueIconFocused` is set to true, this attribute determines the state-name to use for the 'FocusedOver' state - when true, 'FocusedOver' will use the 'Over' media/style, otherwise it will use the 'Focused' media/style.
    `java.lang.Boolean` | `getShowValueIconOver()` Should an "Over" state icon be shown when the user rolls over this checkbox
    `boolean` | `getSizeToCheckboxImage()` If this checkbox item is `not showing a label`, should it ignore any specified `FormItem.width` and instead size to fit its `checkbox icon`?
    `java.lang.String` | `getTextBoxStyle()` Base CSS class for this item's title text
    `java.lang.String` | `getTitleStyle()` Base CSS class for this item's title cell.
    `java.lang.String` | `getUncheckedDescription()` The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the unchecked state.
    `java.lang.String` | `getUncheckedImage()` URL for the image to display when this checkbox is not selected, or unchecked.
    `java.lang.String` | `getUnsetDescription()` The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the unset state.
    `java.lang.String` | `getUnsetImage()` URL for the image to display when this checkbox is unset.
    `java.lang.Boolean` | `getValueAsBoolean()` Return the value of the checkbox as a Boolean.
    `int` | `getWidth()` Width for the CheckboxItem, including both checkbox image and `label`.
    `boolean` | `pendingStatusChanged(DynamicForm form, FormItem item, boolean pendingStatus, java.lang.Object newValue, java.lang.Object value)` Notification method called when `showPending` is enabled and this checkbox item should either clear or show its pending visual state.
    `CheckboxItem` | `setAllowEmptyValue(java.lang.Boolean allowEmptyValue)` By default checkboxes allow the user to toggle between true and false values only.
    `CheckboxItem` | `setBooleanBaseStyle(java.lang.String booleanBaseStyle)` An optional base CSS style to apply to the checkbox image.
    `CheckboxItem` | `setCheckedDescription(java.lang.String checkedDescription)` The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the checked state.
    `CheckboxItem` | `setCheckedImage(java.lang.String checkedImage)` URL for the image to display when this checkbox is selected, or checked.
    `static void` | `setDefaultProperties(CheckboxItem checkboxItemProperties)` Class level method to set the default properties of this class.
    `CheckboxItem` | `setEditProxyConstructor(java.lang.String editProxyConstructor)` Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    `CheckboxItem` | `setLabelAsTitle(java.lang.Boolean labelAsTitle)` By default a checkboxItem sets `showTitle`:true, and so takes up two cells with the default `TitleOrientation` of "left" (see `form layout\n overview`).
    `CheckboxItem` | `setPartialSelectedDescription(java.lang.String partialSelectedDescription)` The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the partial selected state.
    `CheckboxItem` | `setPartialSelectedImage(java.lang.String partialSelectedImage)` URL for the image to display when this checkbox is partially selected.
    `CheckboxItem` | `setPrintBooleanBaseStyle(java.lang.String printBooleanBaseStyle)` If set, the `booleanBaseStyle` to use when `printing`.
    `CheckboxItem` | `setPrintCheckedImage(java.lang.String printCheckedImage)` If set, the `checkedImage` to use when `printing`.
    `CheckboxItem` | `setPrintPartialSelectedImage(java.lang.String printPartialSelectedImage)` If set, the `partialSelectedImage` to use when `printing`.
    `CheckboxItem` | `setPrintUncheckedImage(java.lang.String printUncheckedImage)` If set, the `uncheckedImage` to use when `printing`.
    `CheckboxItem` | `setPrintUnsetImage(java.lang.String printUnsetImage)` If set, the `unsetImage` to use when `printing`.
    `CheckboxItem` | `setShowLabel(java.lang.Boolean showLabel)` Should we show the label text next to the checkbox item.
    `CheckboxItem` | `setShowNullAsTrue(java.lang.Boolean showNullAsTrue)` Should a null value be shown as checked (i.e.
    `CheckboxItem` | `setShowNullAsTrueIf(java.lang.String showNullAsTrueIf)` Set this property to the name of another field in the same record, to have this field be shown as checked (i.e.
    `CheckboxItem` | `setShowTitle(java.lang.Boolean showTitle)` CheckboxItem has special behavior for titles, see `labelAsTitle`.
    `void` | `setShowUnsetImage(java.lang.Boolean showUnsetImage)` Determines what image to display when the value for this checkbox is unset.
    `CheckboxItem` | `setShowValueIconDisabled(java.lang.Boolean showValueIconDisabled)` Should a "Disabled" state icon be shown when the item is disabled
    `CheckboxItem` | `setShowValueIconDown(java.lang.Boolean showValueIconDown)` Should a "Down" state icon be shown when the mouse goes down over this checkbox
    `CheckboxItem` | `setShowValueIconError(java.lang.Boolean showValueIconError)` Whether a separate "Error" state should be applied to icons when the item fails validation.
    `CheckboxItem` | `setShowValueIconFocused(boolean showValueIconFocused)` When true, the icon is modified to reflect 'Focused' state.
    `CheckboxItem` | `setShowValueIconFocusedAsOver(boolean showValueIconFocusedAsOver)` When `showValueIconFocused` is set to true, this attribute determines the state-name to use for the 'FocusedOver' state - when true, 'FocusedOver' will use the 'Over' media/style, otherwise it will use the 'Focused' media/style.
    `CheckboxItem` | `setShowValueIconOver(java.lang.Boolean showValueIconOver)` Should an "Over" state icon be shown when the user rolls over this checkbox
    `CheckboxItem` | `setSizeToCheckboxImage(boolean sizeToCheckboxImage)` If this checkbox item is `not showing a label`, should it ignore any specified `FormItem.width` and instead size to fit its `checkbox icon`?
    `CheckboxItem` | `setTextBoxStyle(java.lang.String textBoxStyle)` Base CSS class for this item's title text
    `CheckboxItem` | `setTitleStyle(java.lang.String titleStyle)` Base CSS class for this item's title cell.
    `CheckboxItem` | `setUncheckedDescription(java.lang.String uncheckedDescription)` The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the unchecked state.
    `CheckboxItem` | `setUncheckedImage(java.lang.String uncheckedImage)` URL for the image to display when this checkbox is not selected, or unchecked.
    `CheckboxItem` | `setUnsetDescription(java.lang.String unsetDescription)` The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the unset state.
    `CheckboxItem` | `setUnsetImage(java.lang.String unsetImage)` URL for the image to display when this checkbox is unset.
    `CheckboxItem` | `setWidth(int width)` Width for the CheckboxItem, including both checkbox image and `label`.

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIcon, addIcon, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPendingStatusChangedHandler, addPickerIconClickHandler, addShowContextMenuHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, addValueIconClickHandler, applyFormula, asSGWTComponent, blurItem, canEditCriterion, checkFormItemType, clearErrors, clearValue, disable, disableIcon, enable, enableIcon, error, error, errorIfNotCreated, focusAfterItem, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysFetchMissingValues, getAlwaysShowControlBox, getApplyAlignToText, getApplyHeightToTextBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsObject, getAttributeAsString, getAutoComplete, getAutoCompleteKeywords, getBrowserInputType, getBrowserSpellCheck, getCanEdit, getCanEditOpaqueValues, getCanFocus, getCanHover, getCanSelectText, getCanTabToIcons, getCanvasAutoChild, getCellHeight, getCellStyle, getChangeOnKeypress, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getControlStyle, getCriteriaField, getCriterion, getCriterion, getCursorPosition, getCustomState, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDefaultOperator, getDestroyed, getDisabled, getDisabledHover, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEmptyDisplayValue, getEmptyValueIcon, getEndRow, getErrorIconHeight, getErrorIconProperties, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getErrors, getEscapeHTML, getExportFormat, getExtraControlTableCSS, getExtraTextBoxCSS, getFetchMissingValues, getFieldName, getFilterLocally, getForeignDisplayField, getForm, getFormat, getFormItemAutoChild, getFormula, getFullDataPath, getGlobalTabIndex, getGridColNum, getGridRowNum, getHeight, getHeightAsString, getHidden, getHint, getHintStyle, getHoverAlign, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHeightAsString, getHoverOpacity, getHoverPersist, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWidthAsString, getIcon, getIconBaseStyle, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIcons, getIconTabPosition, getIconVAlign, getIconWidth, getID, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getLinearColSpan, getLinearColSpanAsString, getLinearEndRow, getLinearEndRowAsString, getLinearStartRow, getLinearStartRowAsString, getLinearWidth, getLinearWidthAsString, getListGrid, getLoadingDisplayValue, getLocateItemBy, getMinHintWidth, getMultiple, getMultipleValueSeparator, getName, getNullOriginalValueText, getOperator, getOptionCriteria, getOptionDataSource, getOptionDataSourceAsString, getOptionFilterContext, getOptionOperationId, getOptionTextMatchStyle, getOriginalValueMessage, getPageLeft, getPageRect, getPageTop, getPaletteDefaults, getPicker, getPickerIcon, getPickerIcon, getPickerIconHeight, getPickerIconName, getPickerIconPrompt, getPickerIconProperties, getPickerIconSrc, getPickerIconStyle, getPickerIconTabPosition, getPickerIconWidth, getPixelHeight, getPixelWidth, getPrintReadOnlyTextBoxStyle, getPrintTextBoxStyle, getPrintTitleStyle, getPrompt, getReadOnlyCanSelectText, getReadOnlyControlStyle, getReadOnlyDisplay, getReadOnlyHover, getReadOnlyTextBoxStyle, getReadOnlyWhen, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRequiredRightTitlePrefix, getRequiredRightTitleSuffix, getRequiredTitlePrefix, getRequiredTitleSuffix, getRequiredWhen, getRightTitlePrefix, getRightTitleSuffix, getRowSpan, getSaveOnEnter, getScClassName, getSelectedRecord, getSelectOnClick, getSelectOnFocus, getShouldSaveValue, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDeletions, getShowDisabled, getShowDisabledIconsOnFocus, getShowDisabledPickerIconOnFocus, getShowErrorIcon, getShowErrorIconInline, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowIconsOnFocus, getShowImageAsURL, getShowOldValueInHover, getShowOver, getShowOverIcons, getShowPending, getShowPickerIcon, getShowPickerIconOnFocus, getShowRTL, getShowValueIconOnly, getStartRow, getStaticHeight, getStopOnError, getStoreDisplayValues, getSupportsCutPasteEvents, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTextFormula, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitlePrefix, getTitleSuffix, getTitleVAlign, getTooltip, getTop, getType, getUpdateControlOnOver, getUpdatePickerIconOnOver, getUpdateTextBoxOnOver, getUseAdvancedCriteria, getUseDisabledHintStyleForReadOnly, getUseLocalDisplayFieldValue, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsFloat, getValueAsInteger, getValueAsLong, getValueAsRecordList, getValueDeselectedCSSText, getValueField, getValueFieldName, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getValueMap, getValueMapAsArray, getVisible, getVisibleHeight, getVisibleTitleWidth, getVisibleWhen, getVisibleWidth, getWarnOnEditorTypeConversion, getWarnOnEditorTypeConversionDefault, getWidthAsString, getWrapHintText, getWrapStaticValue, getWrapTitle, handleWarnOnEditorTypeConversion, hasAdvancedCriteria, hasErrors, hide, hideIcon, invalidateDisplayValueCache, isAssignableFrom, isConfigOnly, isCreated, isCutEvent, isDisabled, isDrawn, isFocused, isInGrid, isPasteEvent, isVisible, linkToInstanceUponCreate, mapDisplayToValue, mapValueToDisplay, mapValueToDisplay, mapValueToDisplay, redraw, redraw, removeIcon, selectedRecordChanged, setAccessKey, setAlign, setAllowExpressions, setAlwaysFetchMissingValues, setAlwaysShowControlBox, setApplyAlignToText, setApplyHeightToTextBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoComplete, setAutoCompleteKeywords, setBrowserInputType, setBrowserSpellCheck, setCanEdit, setCanEditCriterionPredicate, setCanEditOpaqueValues, setCanFocus, setCanHover, setCanSelectText, setCanTabToIcons, setCellHeight, setCellStyle, setChangeOnKeypress, setClipStaticValue, setClipTitle, setColSpan, setColSpan, setConfigOnly, setControlStyle, setCriteriaField, setCriterion, setCriterionGetter, setCriterionSetter, setCustomStateGetter, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultOperator, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDisabled, setDisabledHover, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEmptyDisplayValue, setEmptyValueIcon, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconProperties, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setErrors, setErrors, setEscapeHTML, setExportFormat, setExtraControlTableCSS, setExtraTextBoxCSS, setFetchMissingValues, setFilterLocally, setForeignDisplayField, setFormat, setFormula, setGlobalTabIndex, setHeight, setHeight, setHidden, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverHeight, setHoverOpacity, setHoverPersist, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWidth, setIconBaseStyle, setIconDisabled, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconShowOnFocus, setIconVAlign, setIconWidth, setID, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setJavaScriptObject, setLeft, setLinearColSpan, setLinearColSpan, setLinearEndRow, setLinearEndRow, setLinearStartRow, setLinearStartRow, setLinearWidth, setLinearWidth, setLoadingDisplayValue, setLocateItemBy, setMinHintWidth, setMultiple, setMultipleValueSeparator, setName, setNullOriginalValueText, setNullProperty, setOperator, setOptionCriteria, setOptionDataSource, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOptionTextMatchStyle, setOriginalValueMessage, setPickerIconHeight, setPickerIconName, setPickerIconPrompt, setPickerIconProperties, setPickerIconSrc, setPickerIconStyle, setPickerIconWidth, setPrintReadOnlyTextBoxStyle, setPrintTextBoxStyle, setPrintTitleStyle, setPrompt, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyCanSelectText, setReadOnlyControlStyle, setReadOnlyDisplay, setReadOnlyHover, setReadOnlyTextBoxStyle, setReadOnlyWhen, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRequiredRightTitlePrefix, setRequiredRightTitleSuffix, setRequiredTitlePrefix, setRequiredTitleSuffix, setRequiredWhen, setRightTitlePrefix, setRightTitleSuffix, setRowSpan, setSaveOnEnter, setScClassName, setSelectOnClick, setSelectOnFocus, setShouldSaveValue, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDeletions, setShowDisabled, setShowDisabledIconsOnFocus, setShowDisabledPickerIconOnFocus, setShowErrorIcon, setShowErrorIconInline, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIconsOnFocus, setShowIfCondition, setShowImageAsURL, setShowOldValueInHover, setShowOver, setShowOverIcons, setShowPending, setShowPickerIcon, setShowPickerIconOnFocus, setShowRTL, setShowValueIconOnly, setStartRow, setStateCustomizer, setStaticHeight, setStopOnError, setStoreDisplayValues, setSupportsCutPasteEvents, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTextFormula, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitlePrefix, setTitleSuffix, setTitleVAlign, setTooltip, setTop, setType, setUpdateControlOnOver, setUpdatePickerIconOnOver, setUpdateTextBoxOnOver, setUseAdvancedCriteria, setUseDisabledHintStyleForReadOnly, setUseLocalDisplayFieldValue, setUseObjectFactoryForTypeFallback, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueDeselectedCSSText, setValueField, setValueFormatter, setValueHoverFormatter, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setVisibleWhen, setWarnOnEditorTypeConversion, setWarnOnEditorTypeConversionDefault, setWidth, setWrapHintText, setWrapStaticValue, setWrapTitle, shouldApplyHeightToTextBox, shouldFetchMissingValue, shouldSaveOnEnter, shouldStopKeyPressBubbling, show, showIcon, showPicker, stopHover, storeValue, storeValue, updateState, validate, valueClipped`

    - ### Methods inherited from class com.smartgwt.client.data.Field

      `getCanExport, getExportTitle, getSortByField, setCanExport, setExportTitle, setSortByField`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### CheckboxItem

          public CheckboxItem()

    - #### CheckboxItem

          public CheckboxItem(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### CheckboxItem

          public CheckboxItem(java.lang.String name)

    - #### CheckboxItem

          public CheckboxItem(java.lang.String name,
                              java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static CheckboxItem getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changePickerIconDefaults

          public static void changePickerIconDefaults(FormItemIcon defaults)

    - #### setAllowEmptyValue

          public CheckboxItem setAllowEmptyValue(java.lang.Boolean allowEmptyValue)

      By default checkboxes allow the user to toggle between true and false values only. Setting this property to true will allow the user to toggle between three values - `true`, `false` and unset.
      Parameters:
        `allowEmptyValue` - New allowEmptyValue value. Default value is false
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getAllowEmptyValue

          public java.lang.Boolean getAllowEmptyValue()

      By default checkboxes allow the user to toggle between true and false values only. Setting this property to true will allow the user to toggle between three values - `true`, `false` and unset.
      Returns:
        Current allowEmptyValue value. Default value is false

    - #### setBooleanBaseStyle

          public CheckboxItem setBooleanBaseStyle(java.lang.String booleanBaseStyle)

      An optional base CSS style to apply to the checkbox image. If supplied, the base style is suffixed with "True", "False", "Partial", or "Unset" if the checkbox is selected, unselected, partially selected, or unset. The style is then suffixed with the state of the value icon ("", "Over", "Down", "Disabled").

      Note : This is an advanced setting

      Parameters:
        `booleanBaseStyle` - New booleanBaseStyle value. Default value is null
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `setPrintBooleanBaseStyle(java.lang.String)`, `CSSStyleName`

    - #### getBooleanBaseStyle

          public java.lang.String getBooleanBaseStyle()

      An optional base CSS style to apply to the checkbox image. If supplied, the base style is suffixed with "True", "False", "Partial", or "Unset" if the checkbox is selected, unselected, partially selected, or unset. The style is then suffixed with the state of the value icon ("", "Over", "Down", "Disabled").
      Returns:
        Current booleanBaseStyle value. Default value is null
      See Also:
        `getPrintBooleanBaseStyle()`, `CSSStyleName`

    - #### setCheckedDescription

          public CheckboxItem setCheckedDescription(java.lang.String checkedDescription)

      The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the checked state.

      Note : This is an advanced setting

      Parameters:
        `checkedDescription` - New checkedDescription value. Default value is "checked"
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `HTMLString`

    - #### getCheckedDescription

          public java.lang.String getCheckedDescription()

      The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the checked state.
      Returns:
        Current checkedDescription value. Default value is "checked"
      See Also:
        `HTMLString`

    - #### setCheckedImage

          public CheckboxItem setCheckedImage(java.lang.String checkedImage)

      URL for the image to display when this checkbox is selected, or checked.

      This image is implemented using the `valueIcons subsystem`, and may be modified via the standard valueIcons properties such as `valueIconWidth`

      Note that this is the base image name - if `showValueIconOver` et al are set, the state (`"Over"`, `"Down"` and `"Disabled"`) will be added to this name as the user interacts with the checkbox, as well as the image extension

      The special value "blank" means that no image will be shown.

      `Spriting` can be used for this image, by setting this property to a `SCSpriteConfig` formatted string. Alternatively developers can omit this property and instead use CSS directly in the `booleanBaseStyle` property to provide a "checked" appearance.

      Parameters:
        `checkedImage` - New checkedImage value. Default value is "[SKIN]/DynamicForm/checked.gif"
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `setPrintCheckedImage(java.lang.String)`, `SCImgURL`, `Appearance overview and related methods`

    - #### getCheckedImage

          public java.lang.String getCheckedImage()

      URL for the image to display when this checkbox is selected, or checked.

      This image is implemented using the `valueIcons subsystem`, and may be modified via the standard valueIcons properties such as `valueIconWidth`

      Note that this is the base image name - if `showValueIconOver` et al are set, the state (`"Over"`, `"Down"` and `"Disabled"`) will be added to this name as the user interacts with the checkbox, as well as the image extension

      The special value "blank" means that no image will be shown.

      `Spriting` can be used for this image, by setting this property to a `SCSpriteConfig` formatted string. Alternatively developers can omit this property and instead use CSS directly in the `booleanBaseStyle` property to provide a "checked" appearance.

      Returns:
        Current checkedImage value. Default value is "[SKIN]/DynamicForm/checked.gif"
      See Also:
        `getPrintCheckedImage()`, `SCImgURL`, `Appearance overview and related methods`

    - #### getDefaultValue

          public java.lang.Boolean getDefaultValue()

      Overridden to assign class-appropriate type.
      Overrides:
        `getDefaultValue` in class `FormItem`
      Returns:
        Current defaultValue value. Default value is null
      See Also:
        `FormItem.getDefaultValue()`

    - #### setEditProxyConstructor

          public CheckboxItem setEditProxyConstructor(java.lang.String editProxyConstructor)

      Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
      Overrides:
        `setEditProxyConstructor` in class `FormItem`
      Parameters:
        `editProxyConstructor` - New editProxyConstructor value. Default value is "CheckboxItemEditProxy"
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `SCClassName`

    - #### getEditProxyConstructor

          public java.lang.String getEditProxyConstructor()

      Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
      Overrides:
        `getEditProxyConstructor` in class `FormItem`
      Returns:
        Current editProxyConstructor value. Default value is "CheckboxItemEditProxy"
      See Also:
        `SCClassName`

    - #### setLabelAsTitle

          public CheckboxItem setLabelAsTitle(java.lang.Boolean labelAsTitle)

      By default a checkboxItem sets `showTitle`:true, and so takes up two cells with the default `TitleOrientation` of "left" (see `form layout\n overview`). However, the title cell is left blank by default, and the title specified by `FormItem.title` is shown inside the formItem's cell instead, in an element called the "label".

      To instead show the title in it's original location, set `labelAsTitle:true`. You can also set `showLabel`:false to suppress the label and/or title altogether.

      Parameters:
        `labelAsTitle` - New labelAsTitle value. Default value is null
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getLabelAsTitle

          public java.lang.Boolean getLabelAsTitle()

      By default a checkboxItem sets `showTitle`:true, and so takes up two cells with the default `TitleOrientation` of "left" (see `form layout\n overview`). However, the title cell is left blank by default, and the title specified by `FormItem.title` is shown inside the formItem's cell instead, in an element called the "label".

      To instead show the title in it's original location, set `labelAsTitle:true`. You can also set `showLabel`:false to suppress the label and/or title altogether.

      Returns:
        Current labelAsTitle value. Default value is null

    - #### setPartialSelectedDescription

          public CheckboxItem setPartialSelectedDescription(java.lang.String partialSelectedDescription)

      The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the partial selected state.

      Note : This is an advanced setting

      Parameters:
        `partialSelectedDescription` - New partialSelectedDescription value. Default value is "partially selected"
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `HTMLString`

    - #### getPartialSelectedDescription

          public java.lang.String getPartialSelectedDescription()

      The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the partial selected state.
      Returns:
        Current partialSelectedDescription value. Default value is "partially selected"
      See Also:
        `HTMLString`

    - #### setPartialSelectedImage

          public CheckboxItem setPartialSelectedImage(java.lang.String partialSelectedImage)

      URL for the image to display when this checkbox is partially selected.

      The special value "blank" means that no image will be shown.

      `Spriting` can be used for this image, by setting this property to a `SCSpriteConfig` formatted string. Alternatively developers can omit this property and instead use CSS directly in the `booleanBaseStyle` property to provide a "partially checked" appearance.

      Parameters:
        `partialSelectedImage` - New partialSelectedImage value. Default value is "[SKIN]/DynamicForm/partialcheck.gif"
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `setPrintPartialSelectedImage(java.lang.String)`, `SCImgURL`, `Appearance overview and related methods`

    - #### getPartialSelectedImage

          public java.lang.String getPartialSelectedImage()

      URL for the image to display when this checkbox is partially selected.

      The special value "blank" means that no image will be shown.

      `Spriting` can be used for this image, by setting this property to a `SCSpriteConfig` formatted string. Alternatively developers can omit this property and instead use CSS directly in the `booleanBaseStyle` property to provide a "partially checked" appearance.

      Returns:
        Current partialSelectedImage value. Default value is "[SKIN]/DynamicForm/partialcheck.gif"
      See Also:
        `getPrintPartialSelectedImage()`, `SCImgURL`, `Appearance overview and related methods`

    - #### setPrintBooleanBaseStyle

          public CheckboxItem setPrintBooleanBaseStyle(java.lang.String printBooleanBaseStyle)

      If set, the `booleanBaseStyle` to use when `printing`.

      Note : This is an advanced setting

      Parameters:
        `printBooleanBaseStyle` - New printBooleanBaseStyle value. Default value is null
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `setBooleanBaseStyle(java.lang.String)`, `CSSStyleName`, `Printing`

    - #### getPrintBooleanBaseStyle

          public java.lang.String getPrintBooleanBaseStyle()

      If set, the `booleanBaseStyle` to use when `printing`.
      Returns:
        Current printBooleanBaseStyle value. Default value is null
      See Also:
        `getBooleanBaseStyle()`, `CSSStyleName`, `Printing`

    - #### setPrintCheckedImage

          public CheckboxItem setPrintCheckedImage(java.lang.String printCheckedImage)

      If set, the `checkedImage` to use when `printing`.
      Parameters:
        `printCheckedImage` - New printCheckedImage value. Default value is null
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `setCheckedImage(java.lang.String)`, `SCImgURL`, `Printing`

    - #### getPrintCheckedImage

          public java.lang.String getPrintCheckedImage()

      If set, the `checkedImage` to use when `printing`.
      Returns:
        Current printCheckedImage value. Default value is null
      See Also:
        `getCheckedImage()`, `SCImgURL`, `Printing`

    - #### setPrintPartialSelectedImage

          public CheckboxItem setPrintPartialSelectedImage(java.lang.String printPartialSelectedImage)

      If set, the `partialSelectedImage` to use when `printing`.
      Parameters:
        `printPartialSelectedImage` - New printPartialSelectedImage value. Default value is null
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `setPartialSelectedImage(java.lang.String)`, `SCImgURL`, `Printing`

    - #### getPrintPartialSelectedImage

          public java.lang.String getPrintPartialSelectedImage()

      If set, the `partialSelectedImage` to use when `printing`.
      Returns:
        Current printPartialSelectedImage value. Default value is null
      See Also:
        `getPartialSelectedImage()`, `SCImgURL`, `Printing`

    - #### setPrintUncheckedImage

          public CheckboxItem setPrintUncheckedImage(java.lang.String printUncheckedImage)

      If set, the `uncheckedImage` to use when `printing`.
      Parameters:
        `printUncheckedImage` - New printUncheckedImage value. Default value is null
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `setUncheckedImage(java.lang.String)`, `SCImgURL`, `Printing`

    - #### getPrintUncheckedImage

          public java.lang.String getPrintUncheckedImage()

      If set, the `uncheckedImage` to use when `printing`.
      Returns:
        Current printUncheckedImage value. Default value is null
      See Also:
        `getUncheckedImage()`, `SCImgURL`, `Printing`

    - #### setPrintUnsetImage

          public CheckboxItem setPrintUnsetImage(java.lang.String printUnsetImage)

      If set, the `unsetImage` to use when `printing`.
      Parameters:
        `printUnsetImage` - New printUnsetImage value. Default value is null
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `setUnsetImage(java.lang.String)`, `SCImgURL`, `Printing`

    - #### getPrintUnsetImage

          public java.lang.String getPrintUnsetImage()

      If set, the `unsetImage` to use when `printing`.
      Returns:
        Current printUnsetImage value. Default value is null
      See Also:
        `getUnsetImage()`, `SCImgURL`, `Printing`

    - #### setShowLabel

          public CheckboxItem setShowLabel(java.lang.Boolean showLabel)

      Should we show the label text next to the checkbox item.
      Parameters:
        `showLabel` - New showLabel value. Default value is true
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getShowLabel

          public java.lang.Boolean getShowLabel()

      Should we show the label text next to the checkbox item.
      Returns:
        Current showLabel value. Default value is true

    - #### setShowNullAsTrue

          public CheckboxItem setShowNullAsTrue(java.lang.Boolean showNullAsTrue)

      Should a null value be shown as checked (i.e. true)?
      Parameters:
        `showNullAsTrue` - New showNullAsTrue value. Default value is false
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getShowNullAsTrue

          public java.lang.Boolean getShowNullAsTrue()

      Should a null value be shown as checked (i.e. true)?
      Returns:
        Current showNullAsTrue value. Default value is false

    - #### setShowNullAsTrueIf

          public CheckboxItem setShowNullAsTrueIf(java.lang.String showNullAsTrueIf)

      Set this property to the name of another field in the same record, to have this field be shown as checked (i.e. true) if this field is null and the other field is not null. For example, you could use this to show a "US Citizen" field as true if a value is entered into another field "US Social Security Number"
      Parameters:
        `showNullAsTrueIf` - New showNullAsTrueIf value. Default value is null
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getShowNullAsTrueIf

          public java.lang.String getShowNullAsTrueIf()

      Set this property to the name of another field in the same record, to have this field be shown as checked (i.e. true) if this field is null and the other field is not null. For example, you could use this to show a "US Citizen" field as true if a value is entered into another field "US Social Security Number"
      Returns:
        Current showNullAsTrueIf value. Default value is null

    - #### setShowTitle

          public CheckboxItem setShowTitle(java.lang.Boolean showTitle)

      CheckboxItem has special behavior for titles, see `labelAsTitle`.
      Overrides:
        `setShowTitle` in class `FormItem`
      Parameters:
        `showTitle` - New showTitle value. Default value is true
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getShowTitle

          public java.lang.Boolean getShowTitle()

      CheckboxItem has special behavior for titles, see `labelAsTitle`.
      Overrides:
        `getShowTitle` in class `FormItem`
      Returns:
        Current showTitle value. Default value is true

    - #### setShowValueIconDisabled

          public CheckboxItem setShowValueIconDisabled(java.lang.Boolean showValueIconDisabled)

      Should a "Disabled" state icon be shown when the item is disabled

      Note : This is an advanced setting

      Parameters:
        `showValueIconDisabled` - New showValueIconDisabled value. Default value is true
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getShowValueIconDisabled

          public java.lang.Boolean getShowValueIconDisabled()

      Should a "Disabled" state icon be shown when the item is disabled
      Returns:
        Current showValueIconDisabled value. Default value is true

    - #### setShowValueIconDown

          public CheckboxItem setShowValueIconDown(java.lang.Boolean showValueIconDown)

      Should a "Down" state icon be shown when the mouse goes down over this checkbox

      Note : This is an advanced setting

      Parameters:
        `showValueIconDown` - New showValueIconDown value. Default value is true
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getShowValueIconDown

          public java.lang.Boolean getShowValueIconDown()

      Should a "Down" state icon be shown when the mouse goes down over this checkbox
      Returns:
        Current showValueIconDown value. Default value is true

    - #### setShowValueIconError

          public CheckboxItem setShowValueIconError(java.lang.Boolean showValueIconError)

      Whether a separate "Error" state should be applied to icons when the item fails validation. If set to true and this item has validation errors, the icon-src will be suffixed Error. If physical states also apply, such as `Over` or `Disabled`, these are appended - for example, ErrorOver or ErrorDisabled.

      Note that valid images must be made available for these `Error` states.

      Note : This is an advanced setting

      Parameters:
        `showValueIconError` - New showValueIconError value. Default value is false
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getShowValueIconError

          public java.lang.Boolean getShowValueIconError()

      Whether a separate "Error" state should be applied to icons when the item fails validation. If set to true and this item has validation errors, the icon-src will be suffixed Error. If physical states also apply, such as `Over` or `Disabled`, these are appended - for example, ErrorOver or ErrorDisabled.

      Note that valid images must be made available for these `Error` states.

      Returns:
        Current showValueIconError value. Default value is false

    - #### setShowValueIconFocused

          public CheckboxItem setShowValueIconFocused(boolean showValueIconFocused)

      When true, the icon is modified to reflect 'Focused' state.

      For the 'FocusedOver' state, the default is to reuse the "Over" state - if you want to retain the 'Focused' state instead, set `showValueIconFocusedAsOver` to false.

      Note : This is an advanced setting

      Parameters:
        `showValueIconFocused` - New showValueIconFocused value. Default value is true
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getShowValueIconFocused

          public boolean getShowValueIconFocused()

      When true, the icon is modified to reflect 'Focused' state.

      For the 'FocusedOver' state, the default is to reuse the "Over" state - if you want to retain the 'Focused' state instead, set `showValueIconFocusedAsOver` to false.

      Returns:
        Current showValueIconFocused value. Default value is true

    - #### setShowValueIconFocusedAsOver

          public CheckboxItem setShowValueIconFocusedAsOver(boolean showValueIconFocusedAsOver)

      When `showValueIconFocused` is set to true, this attribute determines the state-name to use for the 'FocusedOver' state - when true, 'FocusedOver' will use the 'Over' media/style, otherwise it will use the 'Focused' media/style.

      Note : This is an advanced setting

      Parameters:
        `showValueIconFocusedAsOver` - New showValueIconFocusedAsOver value. Default value is true
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getShowValueIconFocusedAsOver

          public boolean getShowValueIconFocusedAsOver()

      When `showValueIconFocused` is set to true, this attribute determines the state-name to use for the 'FocusedOver' state - when true, 'FocusedOver' will use the 'Over' media/style, otherwise it will use the 'Focused' media/style.
      Returns:
        Current showValueIconFocusedAsOver value. Default value is true

    - #### setShowValueIconOver

          public CheckboxItem setShowValueIconOver(java.lang.Boolean showValueIconOver)

      Should an "Over" state icon be shown when the user rolls over this checkbox

      Note : This is an advanced setting

      Parameters:
        `showValueIconOver` - New showValueIconOver value. Default value is true
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getShowValueIconOver

          public java.lang.Boolean getShowValueIconOver()

      Should an "Over" state icon be shown when the user rolls over this checkbox
      Returns:
        Current showValueIconOver value. Default value is true

    - #### setSizeToCheckboxImage

          public CheckboxItem setSizeToCheckboxImage(boolean sizeToCheckboxImage)

      If this checkbox item is `not showing a label`, should it ignore any specified `FormItem.width` and instead size to fit its `checkbox icon`?

      When set to true (the default), the checkbox item ignores any specified width, ensuring that it does not impact the the containing DynamicForm's table geometry unnecessarily.

      Note : This is an advanced setting

      Parameters:
        `sizeToCheckboxImage` - New sizeToCheckboxImage value. Default value is true
      Returns:
        `CheckboxItem` instance, for chaining setter calls

    - #### getSizeToCheckboxImage

          public boolean getSizeToCheckboxImage()

      If this checkbox item is `not showing a label`, should it ignore any specified `FormItem.width` and instead size to fit its `checkbox icon`?

      When set to true (the default), the checkbox item ignores any specified width, ensuring that it does not impact the the containing DynamicForm's table geometry unnecessarily.

      Returns:
        Current sizeToCheckboxImage value. Default value is true

    - #### setTextBoxStyle

          public CheckboxItem setTextBoxStyle(java.lang.String textBoxStyle)

      Base CSS class for this item's title text
      Overrides:
        `setTextBoxStyle` in class `FormItem`
      Parameters:
        `textBoxStyle` - New textBoxStyle value. Default value is "labelAnchor"
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `FormItemBaseStyle`, `Appearance overview and related methods`

    - #### getTextBoxStyle

          public java.lang.String getTextBoxStyle()

      Base CSS class for this item's title text
      Overrides:
        `getTextBoxStyle` in class `FormItem`
      Returns:
        Current textBoxStyle value. Default value is "labelAnchor"
      See Also:
        `FormItemBaseStyle`, `Appearance overview and related methods`

    - #### setTitleStyle

          public CheckboxItem setTitleStyle(java.lang.String titleStyle)

      Base CSS class for this item's title cell.

      Note: This styling applies to the standard form item title cell for this item - it does not apply to item's `label`. To modify the styling for that text, use `textBoxStyle` instead.

      Overrides:
        `setTitleStyle` in class `FormItem`
      Parameters:
        `titleStyle` - New titleStyle value. Default value is null
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `FormItemBaseStyle`, `Appearance overview and related methods`

    - #### getTitleStyle

          public java.lang.String getTitleStyle()

      Base CSS class for this item's title cell.

      Note: This styling applies to the standard form item title cell for this item - it does not apply to item's `label`. To modify the styling for that text, use `textBoxStyle` instead.

      Overrides:
        `getTitleStyle` in class `FormItem`
      Returns:
        Current titleStyle value. Default value is null
      See Also:
        `FormItemBaseStyle`, `Appearance overview and related methods`

    - #### setUncheckedDescription

          public CheckboxItem setUncheckedDescription(java.lang.String uncheckedDescription)

      The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the unchecked state.

      Note : This is an advanced setting

      Parameters:
        `uncheckedDescription` - New uncheckedDescription value. Default value is "unchecked"
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `HTMLString`

    - #### getUncheckedDescription

          public java.lang.String getUncheckedDescription()

      The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the unchecked state.
      Returns:
        Current uncheckedDescription value. Default value is "unchecked"
      See Also:
        `HTMLString`

    - #### setUncheckedImage

          public CheckboxItem setUncheckedImage(java.lang.String uncheckedImage)

      URL for the image to display when this checkbox is not selected, or unchecked.

      The special value "blank" means that no image will be shown.

      `Spriting` can be used for this image, by setting this property to a `SCSpriteConfig` formatted string. Alternatively developers can omit this property and instead use CSS directly in the `booleanBaseStyle` property to provide an "unchecked" appearance.

      Parameters:
        `uncheckedImage` - New uncheckedImage value. Default value is "[SKIN]/DynamicForm/unchecked.gif"
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `setPrintUncheckedImage(java.lang.String)`, `SCImgURL`, `Appearance overview and related methods`

    - #### getUncheckedImage

          public java.lang.String getUncheckedImage()

      URL for the image to display when this checkbox is not selected, or unchecked.

      The special value "blank" means that no image will be shown.

      `Spriting` can be used for this image, by setting this property to a `SCSpriteConfig` formatted string. Alternatively developers can omit this property and instead use CSS directly in the `booleanBaseStyle` property to provide an "unchecked" appearance.

      Returns:
        Current uncheckedImage value. Default value is "[SKIN]/DynamicForm/unchecked.gif"
      See Also:
        `getPrintUncheckedImage()`, `SCImgURL`, `Appearance overview and related methods`

    - #### setUnsetDescription

          public CheckboxItem setUnsetDescription(java.lang.String unsetDescription)

      The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the unset state.

      Note : This is an advanced setting

      Parameters:
        `unsetDescription` - New unsetDescription value. Default value is "unset"
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `HTMLString`

    - #### getUnsetDescription

          public java.lang.String getUnsetDescription()

      The description shown in a hover when `FormItem.showOldValueInHover` is enabled and a value represents the unset state.
      Returns:
        Current unsetDescription value. Default value is "unset"
      See Also:
        `HTMLString`

    - #### setUnsetImage

          public CheckboxItem setUnsetImage(java.lang.String unsetImage)

      URL for the image to display when this checkbox is unset. Note that if `showUnsetImage` is false or `allowEmptyValue` is false the `uncheckedImage` will be used for null values rather than this image.

      The special value "blank" means that no image will be shown.

      `Spriting` can be used for this image, by setting this property to a `SCSpriteConfig` formatted string. Alternatively developers can omit this property and instead use CSS directly in the `booleanBaseStyle` property to provide an "unset" appearance.

      Parameters:
        `unsetImage` - New unsetImage value. Default value is "[SKIN]/DynamicForm/unsetcheck.gif"
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `SCImgURL`, `Appearance overview and related methods`

    - #### getUnsetImage

          public java.lang.String getUnsetImage()

      URL for the image to display when this checkbox is unset. Note that if `showUnsetImage` is false or `allowEmptyValue` is false the `uncheckedImage` will be used for null values rather than this image.

      The special value "blank" means that no image will be shown.

      `Spriting` can be used for this image, by setting this property to a `SCSpriteConfig` formatted string. Alternatively developers can omit this property and instead use CSS directly in the `booleanBaseStyle` property to provide an "unset" appearance.

      Returns:
        Current unsetImage value. Default value is "[SKIN]/DynamicForm/unsetcheck.gif"
      See Also:
        `SCImgURL`, `Appearance overview and related methods`

    - #### setWidth

          public CheckboxItem setWidth(int width)

      Width for the CheckboxItem, including both checkbox image and `label`. Note that if `showLabel` is false, this property will have no effect - the item will render at the size required to contain the icon.
      Overrides:
        `setWidth` in class `FormItem`
      Parameters:
        `width` - New width value. Default value is 150
      Returns:
        `CheckboxItem` instance, for chaining setter calls
      See Also:
        `FormItem.setLinearWidth(int)`, `FormItem.setHeight(int)`, `DynamicForm.setItemLayout(com.smartgwt.client.types.FormLayoutType)`, `Form Layout`, Spanning Example

    - #### getWidth

          public int getWidth()

      Width for the CheckboxItem, including both checkbox image and `label`. Note that if `showLabel` is false, this property will have no effect - the item will render at the size required to contain the icon.
      Overrides:
        `getWidth` in class `FormItem`
      Returns:
        Current width value. Default value is 150
      See Also:
        `FormItem.getLinearWidth()`, `FormItem.getHeight()`, `DynamicForm.getItemLayout()`, `Form Layout`, Spanning Example

    - #### pendingStatusChanged

          public boolean pendingStatusChanged(DynamicForm form,
                                              FormItem item,
                                              boolean pendingStatus,
                                              java.lang.Object newValue,
                                              java.lang.Object value)

      Notification method called when `showPending` is enabled and this checkbox item should either clear or show its pending visual state.

      The default behavior is that the `cellStyle` and checkbox label style are updated to include/exclude the "Pending" suffix. Returning `false` will cancel this default behavior.

      Parameters:
        `form` - the managing `DynamicForm` instance.
        `item` - the form item itself (also available as "this").
        `pendingStatus` - `true` if the item should show its pending visual state; `false` otherwise.
        `newValue` - the current form item value.
        `value` - the value that would be restored by a call to `DynamicForm.resetValues()`.
      Returns:
        `false` to cancel the default behavior.

    - #### setDefaultProperties

          public static void setDefaultProperties(CheckboxItem checkboxItemProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties of the class instance passed to this function. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `checkboxItemProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### setShowUnsetImage

          public void setShowUnsetImage(java.lang.Boolean showUnsetImage)

      Determines what image to display when the value for this checkbox is unset. Set to true to display the `unsetImage` for null values, or false to use the `uncheckedImage` for both null and explicitly unchecked values.

      If this attribute is not set, the `unsetImage` for null values if `allowEmptyValue` is true for this item, otherwise the unchecked image will be used.

      Parameters:
        `showUnsetImage` - showUnsetImage Default value is IRA

    - #### getValueAsBoolean

          public java.lang.Boolean getValueAsBoolean()

      Return the value of the checkbox as a Boolean. If the value is not already a boolean, or is unset and (@link com.smartgwt.client.widgets.form.fields.CheckboxItem#getAllowEmptyValue} returns true, then null will be returned.
      Returns:
        value of this element